require	'mxx_ru/cpp'

require 'oess_1/defs/version'

Mxx_ru::setup_target(
	Mxx_ru::Cpp::Dll_target.new( "oess_1/io/prj.rb" ) {

		required_prj( "oess_1/defs/prj.rb" )

		Oess_1::setup_platform( self )

		target( "oess_io" + Oess_1::VERSION )

		define( "OESS_1__IO__PRJ" )

		cpp_source( "stream.cpp" )
		cpp_source( "binstream.cpp" )
		cpp_source( "binbuffer.cpp" )
		cpp_source( "subbinstream.cpp" )
		cpp_source( "mem_buf.cpp" )
		cpp_source( "fixed_mem_buf.cpp" )
		cpp_source( "bstring_buf.cpp" )
	}
)
